---
updatedAt: 2026-06-12T23:00:16.000Z
agentTools:
  projectIndex: https://developers.7shifts.com/llms.txt
---

# List Scheduled Shifts

**[Minimum Plan Required](https://developers.7shifts.com/docs/plan-requirements):** The Works

#### Sample Response

```json
{
    "data": [
        {
            "id": 543459827,
            "location_id": 4569,
            "user_id": 555,
            "department_id": 7890,
            "role_id": 2583,
            "station_id": 1,
            "company_id": 1234,
            "station_name": "",
            "start": "2023-01-18T16:30:00-06:00",
            "end": "2023-01-19T00:00:00-06:00",
            "business_decline": false,
            "close": true,
            "publish_status": "published",
            "open": false,
            "notes": "",
            "attendance_status": "none"
        }
    ],
    "object": "scheduled_shift"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "7shifts API",
    "contact": {
      "email": "api-support@7shifts.com"
    },
    "version": "2026-06-01"
  },
  "servers": [
    {
      "url": "https://api.7shifts.com",
      "description": "Production server"
    }
  ],
  "paths": {
    "/v2/company/{company_id}/shifts_scheduled/{id}": {
      "get": {
        "tags": [
          "Schedule Enforcement"
        ],
        "summary": "List Scheduled Shifts",
        "operationId": "listScheduledShifts",
        "x-public-api": true,
        "parameters": [
          {
            "name": "x-api-version",
            "in": "header",
            "description": "7shifts API version",
            "required": false,
            "schema": {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
              "description": "An API version",
              "example": "2022-05-01"
            }
          },
          {
            "name": "x-company-guid",
            "in": "header",
            "description": "Company GUID",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "1310bfe1-cb3f-4f24-98a2-fde2bc504108"
          },
          {
            "name": "company_id",
            "in": "path",
            "description": "Company ID",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "example": 1234
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Specified user_id of the user to check if scheduled. If the value begins with punch_id: then this specifies a user punch_id.",
            "schema": {
              "type": "string"
            },
            "example": "punch_id:003184"
          },
          {
            "name": "location_id",
            "in": "query",
            "description": "Location ID.",
            "required": true,
            "schema": {
              "type": "integer"
            },
            "example": 5
          },
          {
            "name": "grace_period",
            "in": "query",
            "description": "Grace period in minutes.",
            "schema": {
              "type": "integer"
            },
            "example": 5
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "enum": [
                        "scheduled_shift"
                      ]
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer"
                          },
                          "location_id": {
                            "type": "integer"
                          },
                          "user_id": {
                            "type": "integer",
                            "nullable": true
                          },
                          "department_id": {
                            "type": "integer",
                            "nullable": true
                          },
                          "role_id": {
                            "type": "integer",
                            "nullable": true
                          },
                          "station_id": {
                            "type": "integer",
                            "nullable": true
                          },
                          "station_name": {
                            "type": "string"
                          },
                          "start": {
                            "type": "string",
                            "format": "date-time"
                          },
                          "end": {
                            "type": "string",
                            "format": "date-time"
                          },
                          "close": {
                            "type": "boolean"
                          },
                          "business_decline": {
                            "type": "boolean"
                          },
                          "notes": {
                            "type": "string"
                          },
                          "publish_status": {
                            "type": "string",
                            "enum": [
                              "draft",
                              "published",
                              "draft_deleted",
                              "published_deleted"
                            ]
                          },
                          "open": {
                            "type": "boolean"
                          },
                          "attendance_status": {
                            "type": "string",
                            "enum": [
                              "none",
                              "sick",
                              "no_show",
                              "late",
                              "called_off",
                              "called_in",
                              "custom"
                            ]
                          },
                          "company_id": {
                            "type": "integer",
                            "nullable": true
                          }
                        },
                        "required": [
                          "id",
                          "location_id",
                          "start",
                          "end",
                          "close",
                          "business_decline",
                          "notes",
                          "publish_status",
                          "open",
                          "attendance_status",
                          "station_name"
                        ]
                      }
                    }
                  },
                  "required": [
                    "object",
                    "data"
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "400": {
                    "summary": "An example of a 400 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a Bad Request error message",
                      "status": 400,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 400,
                      "param": "param"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "401": {
                    "summary": "An example of a 401 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a Unauthorized error message",
                      "status": 401,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 401,
                      "param": "param"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "403": {
                    "summary": "An example of a 403 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a Forbidden error message",
                      "status": 403,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 403,
                      "param": "param"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "404": {
                    "summary": "An example of a 404 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a No found error message",
                      "status": 404,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 404,
                      "param": "param"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Unexpected error",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "OAuth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          },
          "password": {
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          },
          "authorizationCode": {
            "authorizationUrl": "https://app.7shifts.com/oauth2/authorize",
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          }
        }
      },
      "cookieAuth": {
        "type": "apiKey",
        "in": "cookie",
        "name": "7session"
      }
    }
  },
  "security": [
    {
      "OAuth2": []
    },
    {
      "cookieAuth": []
    }
  ],
  "tags": [
    {
      "name": "Schedule Enforcement"
    }
  ]
}
```